summaryrefslogtreecommitdiff
path: root/tests/rm/interactive-always
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/interactive-always')
-rwxr-xr-xtests/rm/interactive-always30
1 files changed, 7 insertions, 23 deletions
diff --git a/tests/rm/interactive-always b/tests/rm/interactive-always
index 686ac2feb..f085ec169 100755
--- a/tests/rm/interactive-always
+++ b/tests/rm/interactive-always
@@ -1,7 +1,7 @@
#!/bin/sh
# Test the --interactive[=WHEN] changes added to coreutils 6.0
-# Copyright (C) 2006 Free Software Foundation, Inc.
+# Copyright (C) 2006, 2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -24,27 +24,14 @@ if test "$VERBOSE" = yes; then
fi
. $srcdir/../lang-default
-
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
+. $srcdir/../test-lib.sh
touch file1-1 file1-2 file2-1 file2-2 file3-1 file3-2 file4-1 file4-2 \
- || framework_failure=1
+ || framework_failure
# If asked, answer no to first question, then yes to second.
echo 'n
-y' > $test.I || framework_failure=1
-rm -f out err || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+y' > $test.I || framework_failure
+rm -f out err || framework_failure
fail=0
@@ -102,10 +89,7 @@ rm: remove regular empty file `file4-1'? rm: remove regular empty file `file4-2'
rm: remove all arguments recursively? .
EOF
-cmp out expout || fail=1
-cmp err experr || fail=1
-test $fail = 1 && {
- diff out expout 2> /dev/null; diff err experr 2> /dev/null
-}
+compare out expout || fail=1
+compare err experr || fail=1
(exit $fail); exit $fail